#!/bin/sh

stp_file=../bridgefile

case "$1" in
	start*)
		xterm -geometry 160x9+0+0 -T Bridge1 -e ./virtual_bridge 1 &
		xterm -geometry 160x9+0+160 -T Bridge2 -e ./virtual_bridge 2 &
		xterm -geometry 160x9+0+320 -T Bridge3 -e ./virtual_bridge 3 &
		xterm -geometry 160x9+0+480 -T Bridge4 -e ./virtual_bridge 4 &
		xterm -geometry 160x9+0+640 -T Bridge5 -e ./virtual_bridge 5 &
		xterm -geometry 160x9+0+800 -T Bridge6 -e ./virtual_bridge 6 &
		xterm -geometry 150x20+0+0 -T Lan_Simulator -e ./lan_simulator 6 10 &
		;;
	stop*)
        	killall lan_simulator
		killall virtual_bridge
		;;

	*)
		
		echo "Usage: simulation {start|stop}"
		exit 1
		;;
esac

exit 0
